	format	MS COFF
	extrn	___bb_blitz_blitz
	extrn	___bb_clearsilver_clearsilver
	extrn	___bb_standardio_standardio
	extrn	_bah_clearsilver_URLEscape
	extrn	_bah_clearsilver_URLUnescape
	extrn	_bbEmptyString
	extrn	_bbOnDebugEnterScope
	extrn	_bbOnDebugEnterStm
	extrn	_bbOnDebugLeaveScope
	extrn	_bbStringClass
	extrn	_brl_standardio_Print
	public	__bb_main
	section	"code" code
__bb_main:
	push	ebp
	mov	ebp,esp
	sub	esp,4
	push	ebx
	cmp	dword [_18],0
	je	_19
	mov	eax,0
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_19:
	mov	dword [_18],1
	mov	dword [ebp-4],_bbEmptyString
	push	ebp
	push	_14
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	call	___bb_blitz_blitz
	call	___bb_standardio_standardio
	call	___bb_clearsilver_clearsilver
	push	_7
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	dword [ebp-4],_4
	push	_10
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-4]
	call	_brl_standardio_Print
	add	esp,4
	push	_11
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-4]
	call	_bah_clearsilver_URLEscape
	add	esp,4
	mov	dword [ebp-4],eax
	push	_12
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-4]
	call	_brl_standardio_Print
	add	esp,4
	push	_13
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-4]
	call	_bah_clearsilver_URLUnescape
	add	esp,4
	push	eax
	call	_brl_standardio_Print
	add	esp,4
	mov	ebx,0
_5:
	call	dword [_bbOnDebugLeaveScope]
	mov	eax,ebx
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
	section	"data" data writeable align 8
	align	4
_18:
	dd	0
_15:
	db	"test_02",0
_16:
	db	"s",0
_17:
	db	"$",0
	align	4
_14:
	dd	1
	dd	_15
	dd	2
	dd	_16
	dd	_17
	dd	-4
	dd	0
_8:
	db	"$BMXPATH/mod/bah.mod/clearsilver.mod/tests/test_02.bmx",0
	align	4
_7:
	dd	_8
	dd	6
	dd	1
	align	4
_4:
	dd	_bbStringClass
	dd	2147483647
	dd	39
	dw	66,108,105,116,122,77,97,120,32,105,115,32,67,111,111,108
	dw	32,38,32,82,111,99,107,105,110,103,32,33,33,32,163,36
	dw	37,94,38,42,40,41,39
	align	4
_10:
	dd	_8
	dd	8
	dd	1
	align	4
_11:
	dd	_8
	dd	10
	dd	1
	align	4
_12:
	dd	_8
	dd	12
	dd	1
	align	4
_13:
	dd	_8
	dd	14
	dd	1
